package com.ss.android.ugc.aweme.feed.caption.edit;

import X.0Bt;
import X.1Bn;
import X.7he;
import X.C0295Crj;
import X.C0299Crn;
import X.C0300Cro;
import X.C0301Crp;
import X.C0302Crq;
import X.C0303Crr;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import java.util.ArrayList;
import java.util.List;

public final class EditCaptionViewModel extends 0Bt {
    public EditCaptionItem LIZ;
    public List<String> LIZIZ = new ArrayList();
    public final C0295Crj LIZJ = 7he.LIZ(C0303Crr.LIZ);
    public final C0295Crj LIZLLL = 7he.LIZ(C0300Cro.LIZ);
    public final C0295Crj LJ = 7he.LIZ(C0302Crq.LIZ);
    public final C0295Crj LJFF = 7he.LIZ(C0299Crn.LIZ);
    public final C0295Crj LJI = 7he.LIZ(C0301Crp.LIZ);

    static {
        Covode.recordClassIndex(78291);
    }

    public final 1Bn<Aweme> LIZ() {
        return (1Bn) this.LIZJ.getValue();
    }

    public final 1Bn<String> LIZIZ() {
        return (1Bn) this.LJ.getValue();
    }

    public final 1Bn<Integer> LIZJ() {
        return (1Bn) this.LJFF.getValue();
    }

    public final 1Bn<Integer> LIZLLL() {
        return (1Bn) this.LJI.getValue();
    }
}
